Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.registry
Class WsdlTestStepFactory

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.registry.WsdlTestStepFactory

Direct Known Subclasses:
  DelayStepFactory, GotoStepFactory, GroovyScriptStepFactory, PropertiesStepFactory, TransferValuesStepFactory, WsdlTestRequestStepFactory

    public abstract class WsdlTestStepFactory

extends java.lang.Object

Abstract factory behaviour for WsdlTestStep factories

Author:
  Ole.Matzura

Constructor Summary
`WsdlTestStepFactory(java.lang.String typeName, java.lang.String name, java.lang.String description, java.lang.String pathToIcon)`

Method Summary
`abstract WsdlTestStep` | `buildTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`
`abstract boolean` | `canCreate()`
`abstract com.eviware.soapui.config.TestStepConfig` | `createNewTestStep(WsdlTestCase testCase, java.lang.String name)`
`java.lang.String` | `getTestStepDescription()`
`java.lang.String` | `getTestStepIconPath()`
`java.lang.String` | `getTestStepName()`
`java.lang.String` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestStepFactory

    public WsdlTestStepFactory(java.lang.String typeName,
                               java.lang.String name,
                               java.lang.String description,
                               java.lang.String pathToIcon)

Method Detail

### buildTestStep

    public abstract WsdlTestStep buildTestStep(WsdlTestCase testCase,
                                               com.eviware.soapui.config.TestStepConfig config,
                                               boolean forLoadTest)

### getType

    public java.lang.String getType()

### createNewTestStep

    public abstract com.eviware.soapui.config.TestStepConfig createNewTestStep(WsdlTestCase testCase,
                                                                               java.lang.String name)

### canCreate

    public abstract boolean canCreate()

### getTestStepName

    public java.lang.String getTestStepName()

### getTestStepDescription

    public java.lang.String getTestStepDescription()

### getTestStepIconPath

    public java.lang.String getTestStepIconPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.